/**
 * CSS styles
 */
/* Fonts */
@font-face {
	font-family: 'Roboto';
	src: url('Roboto-Regular.woff2') format('woff2');
	font-weight: normal;
	font-style: normal;
}
@font-face {
  font-family: 'multivac';
  src: url('multivac-interference.woff2') format('woff2');
  font-weight: normal;
  font-style: normal;
}
@font-face {
	font-family: 'urania_czech';
	src: url('UraniaCzech.woff2') format('woff2');
	font-weight: normal;
	font-style: normal;
}

/* Reset */
* {
	margin: 0;
	padding: 0;
}

/* General */
html {
	font-family: 'Roboto', sans-serif;
	font-size: 100%;
	color: #ffffff;
}
body {
	/* Evita que aparezcan las barras de scroll */
	overflow: hidden;
}
img {
	border: none;
}
a, a:link, a:visited, a:hover, a:active {
	text-decoration:  none;
}
a:focus {
	outline: none;
}
.hidden {
	display: none;
}

/* Fondo */
#fondo {
	transition: background-color 2s;
	background-color: #000000;
}

/* Canvas */
#space {
	position: absolute;
	top: 0;
	left: 0;
	transition: opacity 2s;
	opacity: 0;
	background-color: #000000;
	z-index: 0;
}

/* Universo */
#universo {
	display: flex;
	height: 100vh;
}
/* Mapa */
#mapamundi {
	margin: auto;
	border-radius: 50%;
	transition: filter 2s, border-radius 2s;
	filter: brightness(50%);
}
#mapamundi.activo {
	filter: brightness(100%);
	border-radius: 0;
}
@media screen and (orientation: landscape) {
	#mapamundi {
		height: 100vh;
	}
}
/* Bandera */
.visita {
	position: absolute;
	display: block;
	transition: width 5s, height 5s, top 5s, left 5s;
}
/* Objetos universo */
.sprite {
	position: absolute;
	top: -100px;
}
.planeta {
	border-radius: 40px;
	z-index: 10;
}
.orbitado {
	box-shadow: 0 0 10px #ffffff;
	z-index: 12;
}
.planeta-legend {
	position: absolute;
	top: -1em;
	left: 0;
	width: 80px;
	white-space: nowrap;
	text-align: center;
}
#sol {
	position: absolute;
	opacity: 0;
	background-image: url('../img/planetas/sol_rojo.gif');
	width: 80px;
	height: 80px;
	border-radius: 40px;
	top: calc(50vh - 40px);
	right: calc(20vw + 40px);
	transition: opacity 1s;
}
#luna {
	border-radius: 20px;
	z-index: 14;
}
.eagle {
	position: absolute;
	z-index: 18;
}
#miguelito {
	background-image: url('../img/planetas/miguelito_blob.png'), url('../img/planetas/miguel_blob.png');
	background-position: center center;
	background-repeat: no-repeat;
	transition: background-size 2s, transform 4s;
}
.miguelito {
	background-size: 100%, 0;
}
.miguel {
	transform: rotate(360deg);
	background-size: 0, 100%;
}
/* Botones */
#botones  {
	display: flex;
	position: absolute;
	flex-direction: column;
	bottom: 0;
	z-index: 10;
}
.boton {
	margin-top: 5px;
	transition: transform 1s, opacity 1s;
}
.boton:hover, #cerrar-ventana {
	cursor: pointer;
}
.boton.clicked {
	transform: rotate(360deg) scale(0);
	opacity: 0;
}
@media screen and (orientation: portrait) {
	#botones  {
		flex-direction: row;
	}
	.boton {
		margin-right: 5px;
	}
}

/* Ventana */
#ventana {
	display: flex;
	position: absolute;
	top: 5vh;
	left: 5vw;
	width: 90vw;
	height: 90vh;
	z-index: 20;
	transition: transform 4s;
	transform: scale(0);
}
#ventana.activa {
	transform: scale(1);
}
.ventana {
	width: 90vw;
	border-radius: 20px;
	background-color: rgba( 64, 64, 64, 0.5 );
	overflow: hidden;
}
#cerrar-ventana {
	position: absolute;
	right: -12px;
	top: -12px;
	display: block;
}

/* Vídeo */
#video-container {
	display: none;
	padding: 5px;
	text-align: center;
}

/* Visitas */
#stats {
	display: none;
}
#stat-select {
	position: absolute;
	top: -1em;
	left: 0;
	background-color: rgba( 84, 84, 84, 0.5 );
	padding: 5px 10px;
	border-radius: 5px;
	border: none;
	color: #ffffff;
	text-align: center;
}
#stat-select option {
	padding: 5px 10px;
	border-radius: 5px;
	border: none;
	text-align: center;
}
#y-legend {
	position: absolute;
	top: 1.5em;
	left: 0;
	bottom: 30px;
	width: 2em;
	background-color: rgba( 90, 85, 180, 0.5 );
	color: #ffffff;
}
#y-legend p {
	position: relative;
	top: 50%;
	transform: rotate( -90deg );
	text-shadow: 2px 2px 1px #000000;
}
#stats-data {
	position: absolute;
	top: 1.5em;
	left: 2em;
	right: 1em;
	bottom: 30px;
	background-color: rgba( 0, 0, 80, 0.5 );
	border-left: 1px solid #ffffff;
	border-bottom: 1px solid #ffffff;
	color: #ffffff;
}
.barra {
	position: absolute;
	bottom: -16px;
	min-width: 16px;
}
.barra-data {
	height: 0;
	border-top: 1px solid #ffffff;
	transition: height 1s ease-out;
	margin-right: 1px;
}
.barra-data p {
	position: relative;
	top: 50%;
	transform: rotate( -90deg );
	color: #ffffff;
	text-shadow: 1px 1px 1px #000000;
	text-align: center;
}
.barra-legend {
	text-align: center;
	height: 16px;
}
.barra-legend img {
	vertical-align: middle;
}

/* Créditos */
#campo {
	display: none;
}
#campo-inner {
	position: absolute;
	top: 32px;
	bottom: 32px;
	right: 32px;
	left: 32px;
	border-radius: 20px;
	background-color: rgba( 0, 0, 0, 0.8 );
	overflow: hidden;
	z-index: 10;
}
#creditos {
	position: absolute;
	bottom: 20vh;
	left: 1em;
	right: 1em;
	background-color: transparent;
	opacity: 1;
	transition: opacity 3s;
}
.linea {
	font-family: urania_czech, sans-serif;
	font-size: 1.8em;
	color: green;
	text-shadow: 0 0 0.5em green;
}
.linea a {
	color: #e5ae00;
	text-shadow: 0 0 0.5em #ffc200;
}
.linea.cabecera, .letra.cabecera { font-size: 2.2em;}
.linea.titulo, .letra.titulo { font-size: 2em;}
.linea.seccion, .letra.seccion { font-size: 1.5em;}
.linea.cabecera, .linea.titulo, .linea.seccion {
	font-family: multivac, sans-serif;
	margin: 0 0.25em;
}
.letra.cabecera, .letra.titulo, .letra.seccion {
	font-family: multivac, sans-serif;
}
.letra {
	font-family: urania_czech, sans-serif;
	font-size: 1.8em;
	color: green;
	text-shadow: 0 0 0.5em green;
	transition: color 0.5s ease-in, box-shadow 0.3s ease-in-out, background-color 0.5s;
}
.typing {
	color: white;
	border-radius: 0.25em;
	background-color: green;
	box-shadow: 0 0 0.8em 0.5em green;
}

/* Lemmings */
.lemming {
	position: absolute;
	width: 32px;
	height: 32px;
	/* border: #ffffff 1px dotted; */
	overflow: hidden;
	z-index: 30;
}
.agujero {
	position: absolute;
	background-color: rgba( 0, 0, 0, 0.6 );
	z-index: 25;
}
.ladrillo {
	position: absolute;
	z-index: 25;
	background-color: #f7d6d6;
}
.hole {
	position: absolute;
	z-index: 25;
}
.chispa {
	position: absolute;
	z-index: 35;
	overflow: hidden;
}